Receive MMS fails after Nov 27 upgrade
#1
Did a dist-upgrade this morning and now when I receive a MMS message mmsd-tng goes into a cycle of messages like:

Code:
2022-11-27T09:53:15.831163-06:00 pine systemd[814]: Stopped Multimedia Messaging Service Daemon.
2022-11-27T09:53:15.842527-06:00 pine systemd[814]: Started Multimedia Messaging Service Daemon.
2022-11-27T09:53:15.905939-06:00 pine mmsdtng[2302]: /usr/bin/mmsdtng: symbol lookup error: /usr/bin/mmsdtng: undefined symbol: _ZN4i18n12phonenumbers11PhoneNumberC1EPN6google8protobuf5ArenaE
2022-11-27T09:53:15.913163-06:00 pine systemd[814]: mmsd-tng.service: Main process exited, code=exited, status=127/n/a
2022-11-27T09:53:15.915227-06:00 pine systemd[814]: mmsd-tng.service: Failed with result 'exit-code'.
2022-11-27T09:53:26.077399-06:00 pine systemd[814]: mmsd-tng.service: Scheduled restart job, restart counter is at 50.
2022-11-27T09:53:26.079754-06:00 pine systemd[814]: Stopped Multimedia Messaging Service Daemon.
2022-11-27T09:53:26.088589-06:00 pine systemd[814]: Started Multimedia Messaging Service Daemon.

I anyone else seeing this?  libphonenumber 8.12.57+ds-3 arrived in bookworm today but I haven't yet started reverting libraries to isolate the problem.
  Reply
#2
Downgrading libphonenumber to the previous version (I had v8.12.57+ds-1) allows mmsd-tng to work but leads to incompatibilities with other packages.

mmsd-tng v2.0~beta-1+b1 is compatible with the newer libphonenumber and should roll into bookworm in a day or two.
  Reply
#3
Heart 
(11-27-2022, 10:08 PM)treebeard Wrote: Downgrading libphonenumber to the previous version (I had v8.12.57+ds-1) allows mmsd-tng to work but leads to incompatibilities with other packages.

mmsd-tng v2.0~beta-1+b1 is compatible with the newer libphonenumber and should roll into bookworm in a day or two.

Thank you so much for your investigation. As I still refuse using Whatsapp and other similar craps, MMS support is very important for me.
  Reply
#4
(11-27-2022, 10:08 PM)treebeard Wrote: mmsd-tng v2.0~beta-1+b1 is compatible with the newer libphonenumber and should roll into bookworm in a day or two.

mmsd-tng 2.0~beta-1+b1 is in bookworm now and is working fine (for me, with T-Mobile and Verizon). Some of the messages regarding on-going development suggest this version may have a problem with AT&T - or use of a proxy in general.
  Reply
#5
It still doesn't work even with mmsd-tng v2.0~beta-1+b1. Where do you find the logs?
  Reply
#6
(11-29-2022, 03:31 PM)anonymous Wrote: Where do you find the logs?

I have the rsyslog package installed so the messages end up in /var/log/syslog. Otherwise you have to use the journalctl command to see systemd's journal.
  Reply
#7
(11-29-2022, 03:30 PM)treebeard Wrote:
(11-27-2022, 10:08 PM)treebeard Wrote: mmsd-tng v2.0~beta-1+b1 is compatible with the newer libphonenumber and should roll into bookworm in a day or two.

mmsd-tng  2.0~beta-1+b1  is in bookworm now and is working fine (for me, with T-Mobile and Verizon).  Some of the messages regarding on-going development suggest this version may have a problem with AT&T - or use of a proxy in general.

Wait, are you finally able to have data and MMS at the same time on Verizon?  If so, can you elaborate on the configuration you're using?
  Reply
#8
(12-01-2022, 05:21 PM)npesall Wrote: Wait, are you finally able to have data and MMS at the same time on Verizon?  If so, can you elaborate on the configuration you're using?

No, it's still one or the other. I guess "working fine" is an overstatement. :-)
  Reply
#9
(12-01-2022, 09:12 PM)treebeard Wrote:
(12-01-2022, 05:21 PM)npesall Wrote: Wait, are you finally able to have data and MMS at the same time on Verizon?  If so, can you elaborate on the configuration you're using?

No, it's still one or the other.  I guess "working fine" is an overstatement.  :-)

Does it have anything to do with the support of multiple APNs?

By the way, the logs mention something about a missing symbol in my case, it doesn't work.
  Reply
#10
(12-06-2022, 06:38 AM)anonymous Wrote: Does it have anything to do with the support of multiple APNs?

By the way, the logs mention something about a missing symbol in my case, it doesn't work.

No, I think multiple APN support is still a ways away.  It involves changes to multiple packages, and I don't think anyone is actively working on the problem.

My only guess is that you've got an incompatible mix of packages.  Have you done a dist-upgrade, or are you instead installing individual packages?  What is the missing symbol message?
  Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  No boot after upgrade: vibration, red LED, then 2 vibrations and yellow LED 3x5co 1 127 01-04-2023, 06:46 PM
Last Post: 3x5co
Wink Pinephone lost graphic during mobian system upgrade cmpin 0 348 10-18-2022, 12:55 AM
Last Post: cmpin
  Dist-upgrade and Chatty vs Gnome-Contacts biketool 9 1,337 09-30-2022, 08:53 PM
Last Post: treebeard
  Modem Firmware Upgrade - Modem Busy - USB Issues biketool 10 1,594 09-23-2022, 05:15 AM
Last Post: biketool
  New Tow-boot release, how to upgrade? user641 3 611 08-23-2022, 08:45 AM
Last Post: user641
  GPS/location services don't work with Maps after Bookworm upgrade Anna 16 5,878 06-13-2022, 02:37 PM
Last Post: wibble
  Firmware upgrade via fwupd user641 3 1,722 04-24-2022, 11:01 AM
Last Post: yehudac
  Epiphany browser broken after webkit packages upgrade user641 0 439 04-15-2022, 05:20 AM
Last Post: user641
  upgrade results Dinosaur1946 1 847 01-18-2022, 04:47 AM
Last Post: kqlnut
  Cant update and upgrade mobian. mode80 8 5,276 01-06-2022, 04:19 PM
Last Post: bcnaz

Forum Jump:


Users browsing this thread: 3 Guest(s)